Package org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenVersionInfo

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenVersionInfo

-     class JrpcgenVersionInfo
      extends java.lang.Object

  The `JrpcgenVersionInfo` class contains information about a specific version of an ONC/RPC program as defined in a rpcgen "x"-file.
  Version:
    $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:47 $ $State: Exp $ $Locker: $
  Author:
    Harald Albrecht

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.util.Vector` | `procedures` | Set of procedures specified for a particular ONC/RPC program.
    `java.lang.String` | `versionId` | Identifier assigned to the version number of an ONC/RPC program.
    `java.lang.String` | `versionNumber` | Version number assigned to an ONC/RPC program.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JrpcgenVersionInfo​(java.lang.String versionId, java.lang.String versionNumber, java.util.Vector procedures)` | Constructs a new `JrpcgenVersionInfo` object containing information about a programs' version and a set of procedures defined by this program version.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dumpConstants​(java.io.PrintWriter out)` | Generates source code to define the version constant belonging to this program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### versionNumber

          public java.lang.String versionNumber

      Version number assigned to an ONC/RPC program. This attribute contains either an integer literal or an identifier (which must resolve to an integer).

    - #### versionId

          public java.lang.String versionId

      Identifier assigned to the version number of an ONC/RPC program.

    - #### procedures

          public java.util.Vector procedures

      Set of procedures specified for a particular ONC/RPC program. The elements in the set are of class `JrpcgenProcedureInfo`.

  - ### Constructor Detail

    - #### JrpcgenVersionInfo

          public JrpcgenVersionInfo​(java.lang.String versionId,
                                    java.lang.String versionNumber,
                                    java.util.Vector procedures)

      Constructs a new `JrpcgenVersionInfo` object containing information about a programs' version and a set of procedures defined by this program version.
      Parameters:
        `versionId` - Identifier defined for this version of a particular ONC/RPC program.
        `versionNumber` - Version number.
        `procedures` - Vector of procedures defined for this ONC/RPC program.

  - ### Method Detail

    - #### dumpConstants

          public void dumpConstants​(java.io.PrintWriter out)

      Generates source code to define the version constant belonging to this program.
      Parameters:
        `out` - PrintWriter to send source code to.